Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class RunJobFlowRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticmapreduce.model.RunJobFlowRequest

    public class RunJobFlowRequest

extends AmazonWebServiceRequest

Container for the parameters to the `RunJobFlow operation`.

RunJobFlow creates and starts running a new job flow. The job flow will run the steps specified. Once the job flow completes, the EC2 cluster is stopped and the HDFS partition is lost. To prevent loss of data, configure the last step of the job flow to store results in Amazon S3. If the JobFlowInstancesDetail : KeepJobFlowAliveWhenNoSteps parameter is set to TRUE, the job flow will transition to the WAITING state rather than shutting down once the steps have completed.

A maximum of 256 steps are allowed in each job flow.

For long running job flows, we recommended that you periodically store your results.

See Also:
  `AmazonElasticMapReduce.runJobFlow(RunJobFlowRequest)`

Constructor Summary
`RunJobFlowRequest()`

Method Summary
`String` | `getAdditionalInfo()` A JSON string for selecting additional features.
`List<BootstrapActionConfig>` | `getBootstrapActions()` A list of bootstrap actions that will be run before Hadoop is started on the job flow.
`JobFlowInstancesConfig` | `getInstances()` A specification of the number and type of Amazon EC2 instances on which to run the job flow.
`String` | `getLogUri()` Specifies the location in Amazon S3 to write the log files of the job flow.
`String` | `getName()` The name of the job flow.
`List<StepConfig>` | `getSteps()` A list of steps to be executed by the job flow.
`void` | `setAdditionalInfo(String additionalInfo)` A JSON string for selecting additional features.
`void` | `setBootstrapActions(Collection<BootstrapActionConfig> bootstrapActions)` A list of bootstrap actions that will be run before Hadoop is started on the job flow.
`void` | `setInstances(JobFlowInstancesConfig instances)` A specification of the number and type of Amazon EC2 instances on which to run the job flow.
`void` | `setLogUri(String logUri)` Specifies the location in Amazon S3 to write the log files of the job flow.
`void` | `setName(String name)` The name of the job flow.
`void` | `setSteps(Collection<StepConfig> steps)` A list of steps to be executed by the job flow.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RunJobFlowRequest` | `withAdditionalInfo(String additionalInfo)` A JSON string for selecting additional features.
`RunJobFlowRequest` | `withBootstrapActions(BootstrapActionConfig... bootstrapActions)` A list of bootstrap actions that will be run before Hadoop is started on the job flow.
`RunJobFlowRequest` | `withBootstrapActions(Collection<BootstrapActionConfig> bootstrapActions)` A list of bootstrap actions that will be run before Hadoop is started on the job flow.
`RunJobFlowRequest` | `withInstances(JobFlowInstancesConfig instances)` A specification of the number and type of Amazon EC2 instances on which to run the job flow.
`RunJobFlowRequest` | `withLogUri(String logUri)` Specifies the location in Amazon S3 to write the log files of the job flow.
`RunJobFlowRequest` | `withName(String name)` The name of the job flow.
`RunJobFlowRequest` | `withSteps(Collection<StepConfig> steps)` A list of steps to be executed by the job flow.
`RunJobFlowRequest` | `withSteps(StepConfig... steps)` A list of steps to be executed by the job flow.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RunJobFlowRequest

    public RunJobFlowRequest()

Method Detail

### getName

    public String getName()

  The name of the job flow.

  Constraints:
  Length: 1 - 256

  Returns:
    The name of the job flow.

### setName

    public void setName(String name)

  The name of the job flow.

  Constraints:
  Length: 1 - 256

  Parameters:
    `name` - The name of the job flow.

### withName

    public RunJobFlowRequest withName(String name)

  The name of the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 256

  Parameters:
    `name` - The name of the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLogUri

    public String getLogUri()

  Specifies the location in Amazon S3 to write the log files of the job flow. If a value is not provided, logs are not created.

  Returns:
    Specifies the location in Amazon S3 to write the log files of the job flow. If a value is not provided, logs are not created.

### setLogUri

    public void setLogUri(String logUri)

  Specifies the location in Amazon S3 to write the log files of the job flow. If a value is not provided, logs are not created.

  Parameters:
    `logUri` - Specifies the location in Amazon S3 to write the log files of the job flow. If a value is not provided, logs are not created.

### withLogUri

    public RunJobFlowRequest withLogUri(String logUri)

  Specifies the location in Amazon S3 to write the log files of the job flow. If a value is not provided, logs are not created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `logUri` - Specifies the location in Amazon S3 to write the log files of the job flow. If a value is not provided, logs are not created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAdditionalInfo

    public String getAdditionalInfo()

  A JSON string for selecting additional features.

  Constraints:
  Length: 1 - 256

  Returns:
    A JSON string for selecting additional features.

### setAdditionalInfo

    public void setAdditionalInfo(String additionalInfo)

  A JSON string for selecting additional features.

  Constraints:
  Length: 1 - 256

  Parameters:
    `additionalInfo` - A JSON string for selecting additional features.

### withAdditionalInfo

    public RunJobFlowRequest withAdditionalInfo(String additionalInfo)

  A JSON string for selecting additional features.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 256

  Parameters:
    `additionalInfo` - A JSON string for selecting additional features.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstances

    public JobFlowInstancesConfig getInstances()

  A specification of the number and type of Amazon EC2 instances on which to run the job flow.

  Returns:
    A specification of the number and type of Amazon EC2 instances on which to run the job flow.

### setInstances

    public void setInstances(JobFlowInstancesConfig instances)

  A specification of the number and type of Amazon EC2 instances on which to run the job flow.

  Parameters:
    `instances` - A specification of the number and type of Amazon EC2 instances on which to run the job flow.

### withInstances

    public RunJobFlowRequest withInstances(JobFlowInstancesConfig instances)

  A specification of the number and type of Amazon EC2 instances on which to run the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - A specification of the number and type of Amazon EC2 instances on which to run the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSteps

    public List<StepConfig> getSteps()

  A list of steps to be executed by the job flow.

  Returns:
    A list of steps to be executed by the job flow.

### setSteps

    public void setSteps(Collection<StepConfig> steps)

  A list of steps to be executed by the job flow.

  Parameters:
    `steps` - A list of steps to be executed by the job flow.

### withSteps

    public RunJobFlowRequest withSteps(StepConfig... steps)

  A list of steps to be executed by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `steps` - A list of steps to be executed by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSteps

    public RunJobFlowRequest withSteps(Collection<StepConfig> steps)

  A list of steps to be executed by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `steps` - A list of steps to be executed by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBootstrapActions

    public List<BootstrapActionConfig> getBootstrapActions()

  A list of bootstrap actions that will be run before Hadoop is started on the job flow.

  Returns:
    A list of bootstrap actions that will be run before Hadoop is started on the job flow.

### setBootstrapActions

    public void setBootstrapActions(Collection<BootstrapActionConfig> bootstrapActions)

  A list of bootstrap actions that will be run before Hadoop is started on the job flow.

  Parameters:
    `bootstrapActions` - A list of bootstrap actions that will be run before Hadoop is started on the job flow.

### withBootstrapActions

    public RunJobFlowRequest withBootstrapActions(BootstrapActionConfig... bootstrapActions)

  A list of bootstrap actions that will be run before Hadoop is started on the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bootstrapActions` - A list of bootstrap actions that will be run before Hadoop is started on the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBootstrapActions

    public RunJobFlowRequest withBootstrapActions(Collection<BootstrapActionConfig> bootstrapActions)

  A list of bootstrap actions that will be run before Hadoop is started on the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bootstrapActions` - A list of bootstrap actions that will be run before Hadoop is started on the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.